﻿using System;
using System.Windows.Data;
using System.Collections.Generic;

using Utils.WP7.Bing.BingRoute;
using Microsoft.Phone.Controls.Maps.Platform;

namespace Utils.WP7.Bing
{
    public class ItineraryItemDisplayConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value is IEnumerable<ItineraryItem>)
            {
                return (value as IEnumerable<ItineraryItem>).ToDisplay();
            }
            else
            {
                return null;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
