﻿using System;

using Microsoft.Phone.Controls;

namespace Examples.Bing.WP7
{
    public partial class RouteView : PhoneApplicationPage
    {
        public RouteView()
        {
            InitializeComponent();

            // Initialize the viewmodel.
            var vm = new RouteViewModel();
            vm.RouteResolved += (s, e) => { pivot.SelectedIndex = 2; };

            // Set datacontext.
            DataContext = vm;
        }

        private void OnResolveRoute(object sender, System.Windows.RoutedEventArgs e)
        {
            (DataContext as RouteViewModel).ResolveRoute();
        }

        private void OnResolveRouteFromCurrent(object sender, System.Windows.RoutedEventArgs e)
        {
            (DataContext as RouteViewModel).ResolveRouteFromCurrent();
        }
    }
}